--- old/usr/src/lib/libshare/common/libshare_impl.h	2013-09-10 06:31:58.599830467 +0100
+++ new/usr/src/lib/libshare/common/libshare_impl.h	2013-09-10 06:31:58.609802614 +0100
@@ -25,6 +25,10 @@
  */
 
 /*
+ * Copyright (c) 2013 RackTop Systems.
+ */
+
+/*
  * basic declarations for implementation of the share management
  * libraries.
  */
@@ -100,7 +104,7 @@
 } property_list_t;
 
 /* internal version of sa_handle_t */
-typedef struct sa_handle_impl {
+struct sa_handle {
 	uint64_t	flags;
 	scfutilhandle_t	*scfhandle;
 	libzfs_handle_t *zfs_libhandle;
@@ -110,7 +114,7 @@
 	xmlDocPtr	doc;
 	uint64_t	tssharetab;
 	uint64_t	tstrans;
-} *sa_handle_impl_t;
+};
 
 extern int sa_proto_share(char *, sa_share_t);
 extern int sa_proto_unshare(sa_share_t, char *, char *);
@@ -129,7 +133,7 @@
 extern void sa_free_derived_security(sa_security_t);
 extern sa_protocol_properties_t sa_create_protocol_properties(char *);
 extern int sa_start_transaction(scfutilhandle_t *, char *);
-extern int sa_end_transaction(scfutilhandle_t *, sa_handle_impl_t);
+extern int sa_end_transaction(scfutilhandle_t *, sa_handle_t);
 extern void sa_abort_transaction(scfutilhandle_t *);
 extern int sa_commit_share(scfutilhandle_t *, sa_group_t, sa_share_t);
 extern int sa_set_property(scfutilhandle_t *, char *, char *);
